Summary:	Hesiod libraries and sample programs
Summary(pl.UTF-8):	Biblioteki i programy przykładowe do hesiod
Name:		hesiod
Version:	3.2.1
Release:	2
License:	BSD
Group:		Libraries
Source0:	ftp://athena-dist.mit.edu/pub/ATHENA/hesiod/%{name}-%{version}.tar.gz
# Source0-md5:	d8fe6d7d081c9c14d5d3d8a466998eeb
BuildRequires:	libidn-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hesiod is a system which uses existing DNS functionality to provide
access to databases of information that changes infrequently. It is
often used to distribute information kept in the /etc/passwd,
/etc/group, and /etc/printcap files over a network, eliminating the
need to ensure synchronize the files among multiple hosts.

%description -l pl.UTF-8
Hesiod jest systemem używającym istniejącej funkcjonalności DNS do
zapewniania dostępu do baz informacji zmieniających się niezbyt
często. Jest przeważnie używany do rozprowadzania informacji
trzymanych w /etc/passwd, /etc/group, /etc/printcap i podobnych po
sieci, eliminując potrzebę synchronizacji plików między wieloma
komputerami.

%package devel
Summary:	Headers and development documentation for Hesiod
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do hesiod
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libidn-devel

%description devel
This package contains the header files required for building programs
which use Hesiod and some devolopment documentation.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania programów
używających Hesiod oraz dokumentację programisty.

%package static
Summary:	Hesiod static library
Summary(pl.UTF-8):	Biblioteka statyczna Hesiod
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of Hesiod library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki Hesiod.

%prep
%setup -q

grep -l '^\.so man3/' man/*.3 | xargs %{__sed} -i -e '1s,man3/,,;2,$d'

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhesiod.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/hesinfo
%attr(755,root,root) %{_libdir}/libhesiod.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhesiod.so.0
%{_mandir}/man1/hesinfo.1*
%{_mandir}/man5/hesiod.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhesiod.so
%{_includedir}/hesiod.h
%{_pkgconfigdir}/hesiod.pc
%{_mandir}/man3/hesiod*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhesiod.a
%changelog
* Wed Mar 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hesiod.git;a=log;h=master

* Wed Mar 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 1fc9e18
- release 2 (x32 rebuild)

* Mon Jun 16 2014 Jakub Bogusz <qboosh@pld-linux.org> ecd1c76
- updated to 3.2.1
- removed obsolete patches (all issues fixed upstream)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b43e562
- dropped pre-cvs changelog

* Fri Nov 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 96f57b5
- updated ac patch to check all res_mkquery possibilities
- plain configure macro

* Fri Nov 14 2008 Jakub Bogusz <qboosh@pld-linux.org> bf0a589
- check all possibilities

* Fri Nov 14 2008 Paweł Sikora <pluto@pld-linux.org> 526e76f
- build fixed.

* Fri Nov 14 2008 Paweł Sikora <pluto@pld-linux.org> 596eac2
- fix -lresolv detection.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8c09da9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f28e539
- converted to UTF-8

* Sat Oct 29 2005 darekr <darekr@pld-linux.org> 146df0e
- use %configure2_13 macro
- 755 perms for libraries

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> af5faa8
- caps unification, other cosmetics

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 1003387
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> fb7a92d
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Dec 02 2002 ankry <ankry@pld-linux.org> bbbfabd
- massive cleaning

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> 2a14fbd
- new %%doc

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> dae2094
- fixed a small typo

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> bbfff33
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> be00168
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 2dd9e0a
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Fri Nov 09 2001 ankry <ankry@pld-linux.org> 26d3a87
- 30c1105fc1f037d97d0dfae4f4f0e065  hesiod-3.0.2-str.patch

